Subject: [bug#31582] git-annex make install

From: Joey Hess <[email-masked]>
Date: Fri, 1 Jun 2018 17:00:04 -0400

Timothy Sample wrote:
> This is really useful.  I probably should have looked at the Debian
> package a little more closely.  I got the impression that Hackage was
> the main source for git-annex, and went straight from there to Cabal.

Indeed Hackage is not the main source, and due to clumsiness of cabal, the
git-annex.tar.gz stored on Hackage doesn't include all the files from the
upstream source; only the ones needed for cabal to build it. So for the
Makefile etc you'll need to get the source from git or use a git
archive.

-- 
see shy jo